Qt 5.9 | Qt Data Visualization | C++ Classes | QAbstractDataProxy

Qt 5.9.9 Reference Documentation

# QAbstractDataProxy Class

The QAbstractDataProxy class is a base class for all data visualization data proxies. More...

Header: | #include <QAbstractDataProxy>
Since: | QtDataVisualization 1.0
Instantiated By: | AbstractDataProxy
Inherited By: | QBarDataProxy, QScatterDataProxy, and QSurfaceDataProxy

- List of all members, including inherited members

## Public Types

enum | DataType { DataTypeNone, DataTypeBar, DataTypeScatter, DataTypeSurface }

## Properties

- type : const DataType

## Public Functions

virtual | ~QAbstractDataProxy()
DataType | type() const

## Detailed Description

The QAbstractDataProxy class is a base class for all data visualization data proxies.

The following visualization type specific inherited classes are used instead of the base class: QBarDataProxy, QScatterDataProxy, and QSurfaceDataProxy.

For more information, see Qt Data Visualization Data Handling.

## Member Type Documentation

### enum QAbstractDataProxy::DataType

This enum type specifies the data type of the proxy.

Constant | Value | Description
--- | --- | ---
`QAbstractDataProxy::DataTypeNone` | `0` | No data type.
`QAbstractDataProxy::DataTypeBar` | `1` | Data type for Q3DBars.
`QAbstractDataProxy::DataTypeScatter` | `2` | Data type for Q3DScatter.
`QAbstractDataProxy::DataTypeSurface` | `4` | Data type for Q3DSurface.

## Property Documentation

### type : const DataType

This property holds the data type of the proxy.

Access functions:

DataType | type() const

## Member Function Documentation

### `[virtual]` QAbstractDataProxy::~QAbstractDataProxy()

Deletes the abstract data proxy.